# net::irc

This package provides an implementation of the IRC client protocol for Hare
programs, based on the [ircdocs.horse][0] specifications.

[0]: https://ircdocs.horse

## Provided modules

- **net::irc**: IRC primitives, a dialer, and syncronous I/O support

## Installation

### From your distribution

The recommended name for this package is "hare-irc". Look for this, or something
similar, in your local package manager. This is the preferred way to install
this package.

### System-wide installation

```
make install
```

### Vendoring

```
git subtree -P vendor/hare-irc/ add https://git.sr.ht/~sircmpwn/hare-irc master
```
